CC=g++-4.8.3
CFLAGS=-Wall -O3 -std=gnu++11 -finput-charset=UTF-8 -fexec-charset=UTF-8
LDFLAGS= -lpthread -lrt -L/usr/local/lib

BoostPath=../../../boost_1_56_0


#======================================================
#====================== BOOST =========================
#======================================================

CFLAGS += -I$(BoostPath) -I/usr/local/include -I/home/devuser/workplace/mysql-connector-c++-1.1.4/driver

#thread
LOCAL_SRC_FILES := $(BoostPath)/libs/thread/src/pthread/thread.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/thread/src/pthread/once.cpp

#signals
LOCAL_SRC_FILES += $(BoostPath)/libs/signals/src/connection.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/signals/src/named_slot_map.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/signals/src/signal_base.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/signals/src/slot.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/signals/src/trackable.cpp

#system
LOCAL_SRC_FILES += $(BoostPath)/libs/system/src/error_code.cpp

#regex
LOCAL_SRC_FILES += $(BoostPath)/libs/regex/src/c_regex_traits.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/regex/src/cpp_regex_traits.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/regex/src/cregex.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/regex/src/fileiter.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/regex/src/icu.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/regex/src/instances.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/regex/src/posix_api.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/regex/src/regex.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/regex/src/regex_debug.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/regex/src/regex_raw_buffer.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/regex/src/regex_traits_defaults.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/regex/src/static_mutex.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/regex/src/usinstances.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/regex/src/w32_regex_traits.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/regex/src/wc_regex_traits.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/regex/src/wide_posix_api.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/regex/src/winstances.cpp

#date_time
LOCAL_SRC_FILES += $(BoostPath)/libs/date_time/src/gregorian/greg_month.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/date_time/src/gregorian/greg_weekday.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/date_time/src/gregorian/date_generators.cpp

#filesystem
LOCAL_SRC_FILES += $(BoostPath)/libs/filesystem/src/codecvt_error_category.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/filesystem/src/operations.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/filesystem/src/path.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/filesystem/src/path_traits.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/filesystem/src/portability.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/filesystem/src/unique_path.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/filesystem/src/utf8_codecvt_facet.cpp
LOCAL_SRC_FILES += $(BoostPath)/libs/filesystem/src/windows_file_codecvt.cpp

#======================================================
#====================== GAME ==========================
#======================================================

CFLAGS += -I../ntrip
LOCAL_SRC_FILES += ../http/connection.cpp
LOCAL_SRC_FILES += ../http/connection_manager.cpp
LOCAL_SRC_FILES += ../http/mime_types.cpp
LOCAL_SRC_FILES += ../http/reply.cpp
LOCAL_SRC_FILES += ../http/request_handler.cpp
LOCAL_SRC_FILES += ../http/request_parser.cpp
LOCAL_SRC_FILES += ../http/server.cpp

LOCAL_SRC_FILES += ../utf8utf16.cpp
LOCAL_SRC_FILES += ../noun.cpp
LOCAL_SRC_FILES += ../adjective.cpp
LOCAL_SRC_FILES += ../grammarCase.cpp
LOCAL_SRC_FILES += ../main.cpp



all:
	$(CC) $(LOCAL_SRC_FILES) $(CFLAGS) $(LDFLAGS) -o rudict